import React from 'react'
import { translate } from 'cozy-ui/react/I18n'
import { TimeStep } from 'services/dataConsumptionContracts'
import IFluidConfig from 'services/IFluidConfig'
import StyledButton from 'components/CommonKit/Button/StyledButton'

interface ActivateHalfHourLoadProps {
  timeStep: TimeStep
  t: Function // translation service
}
const ActivateHalfHourLoad = ({ t }: ActivateHalfHourLoadProps) => {
  const siteLink = 'https://mon-compte-client.enedis.fr/'

  return (
    <div className="cta-box">
      <div className="cta-box-header header-text text-16-normal">
        {t('timestep.activate.enedis.info')}
      </div>
      <StyledButton
        className="cta-box-button"
        type="submit"
        color="primary"
        onClick={() => window.open(siteLink, '_blank')}
      >
        {t('timestep.activate.enedis.label1')}
      </StyledButton>
    </div>
  )
}

export default translate()(ActivateHalfHourLoad)
